Health / auth check
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/ping \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/ping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/ping"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"organization_id": "8ad612a7-2a83-48da-90fc-f40b8f540f37",
"organization_name": "Live Well",
"api_key_id": "ff6cc3ed-5b44-4190-a8bd-7e4933548a32",
"api_key_prefix": "ak_live_GpctdVg2",
"scopes": [
"messages:send",
"messages:read",
"contacts:read",
"contacts:write",
"templates:read",
"webhooks:manage"
]
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}Health
Health / auth check
Confirma que a API key é válida e retorna organização e scopes. Consome o bucket de rate limit read.
GET
https://api.aideskbr.com
/
api
/
public
/
v1
/
ping
Health / auth check
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/ping \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/ping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/ping"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"organization_id": "8ad612a7-2a83-48da-90fc-f40b8f540f37",
"organization_name": "Live Well",
"api_key_id": "ff6cc3ed-5b44-4190-a8bd-7e4933548a32",
"api_key_prefix": "ak_live_GpctdVg2",
"scopes": [
"messages:send",
"messages:read",
"contacts:read",
"contacts:write",
"templates:read",
"webhooks:manage"
]
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}